> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific organization by ID

> Retrieve a specific organization by its ID, if the user has access.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /organizations/{organization_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /organizations/{organization_id}:
    get:
      tags:
        - Organizations
      summary: Get a specific organization by ID
      description: Retrieve a specific organization by its ID, if the user has access.
      operationId: get_organization_organizations__organization_id__get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organization'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Organization:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        usage_limit:
          anyOf:
            - additionalProperties:
                type: integer
              propertyNames:
                $ref: '#/components/schemas/UsageType'
              type: object
            - type: string
            - type: 'null'
          title: Usage Limit
          description: Monthly usage limit
        nav_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Nav Config
          description: >-
            Per-organization nav config: { '<key>': { 'show': bool, 'disabled':
            bool, 'badgeLabel': str | None, 'badgeTooltip': str | None } }
        user_organization_roles:
          anyOf:
            - items:
                $ref: '#/components/schemas/UserOrganizationRole'
              type: array
            - type: 'null'
          title: User Organization Roles
          description: List of user organization roles
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp of creation
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp of last update
      type: object
      required:
        - id
        - name
        - slug
      title: Organization
      description: Pydantic model for an organization.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserOrganizationRole:
      properties:
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        users:
          anyOf:
            - $ref: '#/components/schemas/UsersResponse'
            - type: 'null'
        organization_id:
          type: string
          title: Organization Id
        organization_role_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Role Id
        organization_roles:
          anyOf:
            - $ref: '#/components/schemas/OrganizationRole'
            - type: 'null'
        deactivated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deactivated At
      type: object
      required:
        - organization_id
      title: UserOrganizationRole
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UsersResponse:
      properties:
        id:
          type: string
          title: Id
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
      type: object
      required:
        - id
      title: UsersResponse
    OrganizationRole:
      properties:
        name:
          type: string
          title: Name
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        organization_role_permissions:
          anyOf:
            - items:
                additionalProperties:
                  $ref: '#/components/schemas/Permission'
                type: object
              type: array
            - type: 'null'
          title: Organization Role Permissions
          description: The permissions for the organization role.
      type: object
      required:
        - name
      title: OrganizationRole
    Permission:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        action:
          type: string
          title: Action
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
      type: object
      required:
        - action
      title: Permission

````